<ui version="4.0" >
 <comment>*********************************************************************
**
** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
*********************************************************************</comment>
 <class>QFileDialog</class>
 <widget class="QDialog" name="QFileDialog" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>521</width>
    <height>316</height>
   </rect>
  </property>
  <property name="sizeGripEnabled" >
   <bool>true</bool>
  </property>
  <layout class="QGridLayout" >
   <item row="0" column="0" >
    <widget class="QLabel" name="lookInLabel" >
     <property name="text" >
      <string>Look in:</string>
     </property>
    </widget>
   </item>
   <item row="0" column="1" colspan="2" >
    <layout class="QHBoxLayout" >
     <item>
      <widget class="QFileDialogComboBox" name="lookInCombo" >
       <property name="sizePolicy" >
        <sizepolicy vsizetype="Fixed" hsizetype="Ignored" >
         <horstretch>1</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="minimumSize" >
        <size>
         <width>50</width>
         <height>0</height>
        </size>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="backButton" >
       <property name="toolTip" >
        <string>Back</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="forwardButton" >
       <property name="toolTip" >
        <string>Forward</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="toParentButton" >
       <property name="toolTip" >
        <string>Parent Directory</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="newFolderButton" >
       <property name="toolTip" >
        <string>Create New Folder</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="listModeButton" >
       <property name="toolTip" >
        <string>List View</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QToolButton" name="detailModeButton" >
       <property name="toolTip" >
        <string>Detail View</string>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item row="1" column="0" colspan="3" >
    <widget class="QSplitter" name="splitter" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Expanding" hsizetype="Expanding" >
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="orientation" >
      <enum>Qt::Horizontal</enum>
     </property>
     <widget class="QSidebar" name="sidebar" />
     <widget class="QFrame" name="frame" >
      <property name="frameShape" >
       <enum>QFrame::NoFrame</enum>
      </property>
      <property name="frameShadow" >
       <enum>QFrame::Raised</enum>
      </property>
      <layout class="QVBoxLayout" >
       <property name="spacing" >
        <number>0</number>
       </property>
       <property name="leftMargin" >
        <number>0</number>
       </property>
       <property name="topMargin" >
        <number>0</number>
       </property>
       <property name="rightMargin" >
        <number>0</number>
       </property>
       <property name="bottomMargin" >
        <number>0</number>
       </property>
       <item>
        <widget class="QStackedWidget" name="stackedWidget" >
         <property name="currentIndex" >
          <number>0</number>
         </property>
         <widget class="QWidget" name="page" >
          <layout class="QVBoxLayout" >
           <property name="spacing" >
            <number>0</number>
           </property>
           <property name="leftMargin" >
            <number>0</number>
           </property>
           <property name="topMargin" >
            <number>0</number>
           </property>
           <property name="rightMargin" >
            <number>0</number>
           </property>
           <property name="bottomMargin" >
            <number>0</number>
           </property>
           <item>
            <widget class="QFileDialogListView" name="listView" />
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="page_2" >
          <layout class="QVBoxLayout" >
           <property name="spacing" >
            <number>0</number>
           </property>
           <property name="leftMargin" >
            <number>0</number>
           </property>
           <property name="topMargin" >
            <number>0</number>
           </property>
           <property name="rightMargin" >
            <number>0</number>
           </property>
           <property name="bottomMargin" >
            <number>0</number>
           </property>
           <item>
            <widget class="QFileDialogTreeView" name="treeView" />
           </item>
          </layout>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
   <item row="2" column="0" >
    <widget class="QLabel" name="fileNameLabel" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Preferred" hsizetype="Minimum" >
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="minimumSize" >
      <size>
       <width>0</width>
       <height>0</height>
      </size>
     </property>
    </widget>
   </item>
   <item row="2" column="1" >
    <widget class="QFileDialogLineEdit" name="fileNameEdit" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
       <horstretch>1</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
    </widget>
   </item>
   <item rowspan="2" row="2" column="2" >
    <widget class="QDialogButtonBox" name="buttonBox" >
     <property name="orientation" >
      <enum>Qt::Vertical</enum>
     </property>
     <property name="standardButtons" >
      <set>QDialogButtonBox::Cancel|QDialogButtonBox::NoButton|QDialogButtonBox::Ok</set>
     </property>
    </widget>
   </item>
   <item row="3" column="0" >
    <widget class="QLabel" name="fileTypeLabel" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Fixed" hsizetype="Preferred" >
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="text" >
      <string>Files of type:</string>
     </property>
    </widget>
   </item>
   <item row="3" column="1" >
    <widget class="QComboBox" name="fileTypeCombo" >
     <property name="sizePolicy" >
      <sizepolicy vsizetype="Fixed" hsizetype="Expanding" >
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>QFileDialogTreeView</class>
   <extends>QTreeView</extends>
   <header>qfiledialog_p.h</header>
  </customwidget>
  <customwidget>
   <class>QFileDialogListView</class>
   <extends>QListView</extends>
   <header>qfiledialog_p.h</header>
  </customwidget>
  <customwidget>
   <class>QSidebar</class>
   <extends>QListWidget</extends>
   <header>qsidebar_p.h</header>
  </customwidget>
  <customwidget>
   <class>QFileDialogLineEdit</class>
   <extends>QLineEdit</extends>
   <header>qfiledialog_p.h</header>
  </customwidget>
  <customwidget>
   <class>QFileDialogComboBox</class>
   <extends>QComboBox</extends>
   <header>qfiledialog_p.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>lookInCombo</tabstop>
  <tabstop>backButton</tabstop>
  <tabstop>forwardButton</tabstop>
  <tabstop>toParentButton</tabstop>
  <tabstop>newFolderButton</tabstop>
  <tabstop>listModeButton</tabstop>
  <tabstop>detailModeButton</tabstop>
  <tabstop>sidebar</tabstop>
  <tabstop>listView</tabstop>
  <tabstop>fileNameEdit</tabstop>
  <tabstop>fileTypeCombo</tabstop>
  <tabstop>buttonBox</tabstop>
  <tabstop>treeView</tabstop>
 </tabstops>
 <resources/>
 <connections/>
</ui>
